/*-----------------------------------------------------------------
File "@FunctionSpace.pro"
-------------------------------------------------------------------*/

FunctionSpace {

// *** FEM *** //

/* Magnetic Vector Potential */

	{ Name A; Type Form1P;
		BasisFunction {
			{ Name se; NameOfCoef ae; Function BF_PerpendicularEdge;
			  Support Todo; Entity NodesOf[All]; }
		}	
		Constraint {
			{ NameOfCoef ae; EntityType NodesOf;
			  NameOfConstraint Ao; }
		}
	}

/* Gradient of Electric Scalar Potential */ 

	{ Name E_Rot; Type Form1P;
		BasisFunction {
			{ Name sr; NameOfCoef ur; Function BF_RegionZ;
			  Support ConducRot; Entity ConducRot; } 
		}
		GlobalQuantity {
			{ Name U2; Type  AliasOf;        NameOfCoef ur; }
			{ Name I2; Type  AssociatedWith; NameOfCoef ur; }
		}
		Constraint {
			{ NameOfCoef U2; EntityType Region;
			  NameOfConstraint Voltage_Rot; }
			{ NameOfCoef I2; EntityType Region;
			  NameOfConstraint Current_Rot; }
		} 
	}

/* Current density in stranded coil (2D) */

	{ Name J_Est; Type Vector;

		BasisFunction {
			{ Name sr; NameOfCoef jsr; Function BF_RegionZ;
			  Support ConducEst; Entity ConducEst; }
		}
		Constraint {
			{ NameOfCoef jsr; EntityType Region;
			  NameOfConstraint CurrDensity_Est; }
		}
	}



/* Current in stranded coil (2D) */

	{ Name I_Est; Type Vector ;
		BasisFunction {
			{ Name sr ; NameOfCoef ir ; Function BF_RegionZ ;
			Support ConducEst; Entity ConducEst; } 
		}
		GlobalQuantity {
			{ Name I1 ; Type AliasOf        ; NameOfCoef ir ; }
			{ Name U1 ; Type AssociatedWith ; NameOfCoef ir ; }
		}
	}


// *** Network *** //

/* Voltage source */

	{ Name Fte_Est; Type Scalar ;
		BasisFunction {
			{ Name ss; NameOfCoef is ; Function BF_Region ;
			Support Source; Entity Source; } 
		}
		GlobalQuantity {
			{ Name Is ; Type AliasOf        ; NameOfCoef is ; }
			{ Name Us ; Type AssociatedWith ; NameOfCoef is ; }
		}
		Constraint {
			{ NameOfCoef Us; EntityType Region;
			  NameOfConstraint Voltage_Est; }
			{ NameOfCoef Is; EntityType Region;
			  NameOfConstraint Current_Est; }
		}
	}

/* Current in stranded coil (2D) */

	{ Name I_Est_Net; Type Vector ;
		BasisFunction {
			{ Name sr ; NameOfCoef ir ; Function BF_RegionZ ;
			Support ConducEst; Entity ConducEst; } 
		}
		GlobalQuantity {
			{ Name I1 ; Type AliasOf        ; NameOfCoef ir ; }
			{ Name U1 ; Type AssociatedWith ; NameOfCoef ir ; }
		}
	}
}
