/*-----------------------------------------------------------------
File "@Formulation.pro"
-------------------------------------------------------------------*/

Formulation {

	{ Name Ini_A_Fem; Type FemEquation;
		
		Quantity {
			{ Name aini ; Type Local  ; NameOfSpace A; }

			{ Name urini; Type Local  ; NameOfSpace E_Rot; }
			{ Name I2ini; Type Global ; NameOfSpace E_Rot [I2]; }
			{ Name U2ini; Type Global ; NameOfSpace E_Rot [U2]; }

			{ Name jsini; Type Local  ; NameOfSpace J_Est; }
		}

		Equation {

			Galerkin { [ nu[] * Dof{Curl aini} , {Curl aini}];
				In NoNucleo; Jacobian JacobVol; Integration Integra; }
		
			Galerkin { [ nu_Nucleo[SquNorm[{Curl aini}]] * Dof{Curl aini} , {Curl aini}]; 
				In Nucleo; Jacobian JacobVol; Integration Integra; }

/*************************************************************************************/

			Galerkin { [ - Dof{jsini} , {aini} ];
				In ConducEst; Jacobian JacobVol; Integration Integra; }

/*************************************************************************************/

			Galerkin { DtDof [ sigma[] * slip * Dof{aini} , {aini} ]; 
				In ConducRot; Jacobian JacobVol; Integration Integra; }

			Galerkin { [ sigma[] * Dof{urini} , {aini} ]; 
				In ConducRot; Jacobian JacobVol; Integration Integra; }

			Galerkin { DtDof [ sigma[] * slip * Dof{aini} , {urini} ];
				In ConducRot; Jacobian JacobVol; Integration Integra; }

			Galerkin { [ sigma[] * Dof{urini} , {urini} ];
				In ConducRot; Jacobian JacobVol; Integration Integra; }	

			GlobalTerm { [ Dof{I2ini} , {U2ini} ]; 
				In ConducRot; }

		/*********************************************************************************/

		}
	}
}

Formulation {

	{ Name Magnetic_Net; Type FemEquation;
		
		Quantity {
			{ Name U1; Type Global ; NameOfSpace I_Est [U1] ; }

			{ Name U1Net; Type Global ; NameOfSpace I_Est_Net [U1] ; }
			{ Name I1Net; Type Global ; NameOfSpace I_Est_Net [I1] ; }
			
			{ Name UsNet; Type Global ; NameOfSpace Fte_Est [Us] ; }
			{ Name IsNet; Type Global ; NameOfSpace Fte_Est [Is] ; }
		}

		Equation {

			GlobalTerm { [ Dof{U1Net} , {I1Net} ] ; 
				In ConducEst; }

			GlobalTerm { [ - {U1} , {I1Net} ] ; 
				In ConducEst; }

			GlobalTerm { [ Dof{UsNet} , {IsNet} ] ; 
				In Source; }

			GlobalEquation {
				Type Network; NameOfConstraint Conection;
				{ Node {I1Net};	Loop{U1Net};	Equation {U1Net}; In ConducEst; } 
				{ Node {IsNet};	Loop{UsNet};	Equation {UsNet}; In Source; } 
			}
		}
	}


	{ Name Magnetic_Fem; Type FemEquation;
		
		Quantity {
			{ Name a ; Type Local  ; NameOfSpace A; }

			{ Name ur; Type Local  ; NameOfSpace E_Rot; }
			{ Name I2; Type Global ; NameOfSpace E_Rot [I2]; }
			{ Name U2; Type Global ; NameOfSpace E_Rot [U2]; }

			{ Name ir; Type Local  ; NameOfSpace I_Est; }
			{ Name U1; Type Global ; NameOfSpace I_Est [U1] ; }
			{ Name I1; Type Global ; NameOfSpace I_Est [I1] ; }

			{ Name U1Net; Type Global ; NameOfSpace I_Est_Net [U1] ; }
		
		}

		Equation {
			Galerkin { [ nu[] * Dof{Curl a} , {Curl a}]; 
				In NoNucleo; Jacobian JacobVol; Integration Integra; }
		
			Galerkin { JacNL[ dhdb[ {Curl a} ] * Dof{Curl a} , {Curl a} ]; 
				In Nucleo; Jacobian JacobVol; Integration Integra; }

			Galerkin { [ h[ {Curl a} ] , {Curl a}]; 
				In Nucleo; Jacobian JacobVol; Integration Integra; }

		/*********************************************************************************/

			Galerkin { [ - Ns[]/Sc[] * Dof{ir} , {a} ]; 
				In ConducEst; Jacobian JacobVol; Integration Integra; }

      		Galerkin { DtDof [ Ns[]/Sc[] * Dof{a} , {ir} ];
				In ConducEst; Jacobian JacobVol; Integration Integra; }

			Galerkin { [ Ns[]*Ns[]/(Sc[]*Sc[])/sigma[] * Dof{ir} , {ir} ];
				In ConducEst; Jacobian JacobVol; Integration Integra; }

			GlobalTerm { [ Dof{U1} , {I1} ] ; 
				In ConducEst; }

			GlobalTerm { [ - {U1Net} , {I1} ] ; 
				In ConducEst; }

		/*********************************************************************************/

			Galerkin { DtDof [ sigma[] * Dof{a} , {a} ]; 
				In ConducRot; Jacobian JacobVol; Integration Integra; }

			Galerkin { [ sigma[] * Dof{ur} , {a} ];
				In ConducRot; Jacobian JacobVol; Integration Integra; }

			Galerkin { DtDof [ sigma[] * Dof{a} , {ur} ]; 
				In ConducRot; Jacobian JacobVol; Integration Integra; }

			Galerkin { [ sigma[] * Dof{ur} , {ur} ]; 
				In ConducRot; Jacobian JacobVol; Integration Integra; }	

			GlobalTerm { [ Dof{I2} , {U2} ]; 
				In ConducRot; }

		/*********************************************************************************/
	
		}
	}
}
