/*-----------------------------------------------------------------
File "@Resolution.pro"
-------------------------------------------------------------------*/

Resolution {

	{ Name Magnetics;
		System {
			{ Name Sys_Mag_Net; NameOfFormulation Magnetic_Net; }
			{ Name Sys_Mag_Fem; NameOfFormulation Magnetic_Fem; }
				
		}
		Operation {
			InitSolution[Sys_Mag_Net]; 
			InitSolution[Sys_Mag_Fem]; 
		//	Init_MovingBand2D{MovBan} ;
		//	ChangeOfCoordinates [NodesOf[Rotor],RRrad[$Time*weje]];
		//	Mesh_MovingBand2D{MovBan} ;     
			
			TimeLoopTheta [TimeInit, TimeEnd, TimeDelta, TimeTheta] {
				IterativeLoop[NL_NbrMaxIter, NL_Eps, NL_Relax[]] {
					GenerateJac[Sys_Mag_Net]; SolveJac[Sys_Mag_Net];
					GenerateJac[Sys_Mag_Fem]; SolveJac[Sys_Mag_Fem];
				}
			SaveSolution[Sys_Mag_Net];
			SaveSolution[Sys_Mag_Fem];
			PostOperation[Map];
		//	ChangeOfCoordinates [NodesOf[{Rotor}],RRrad[$DTime*weje]];
		//	Mesh_MovingBand2D {MovBan};
			}
		}
	}

	{ Name ini;
		System {
			{ Name Sys_Mag_Net; NameOfFormulation Magnetic_Net; }	
			{ Name Sys_Mag_Fem; NameOfFormulation Magnetic_Fem; }	
			{ Name Sys_Ini_Fem; NameOfFormulation Ini_A_Fem; Frequency 50; DestinationSystem Sys_Mag_Fem;}	
		}
		Operation {
			InitSolution[Sys_Ini_Fem]; 
		//	Init_MovingBand2D{MovBan};
		//	Mesh_MovingBand2D{MovBan};     
			IterativeLoop[NL_NbrMaxIter, NL_Eps, NL_Relax[]] {
				GenerateJac[Sys_Ini_Fem]; 
				SolveJac[Sys_Ini_Fem];
			}
			PostOperation[Map];
			TransferSolution[Sys_Ini_Fem];
		}
	}
}
