/*-----------------------------------------------------------------
File "@PostProcessing.pro"
-------------------------------------------------------------------*/

PostProcessing {
	{ Name Magnet; NameOfFormulation Magnetic_Fem;
		Quantity {
			{ Name a;
				Value {
					Local { [ {a} ]; 
					In Todo; Jacobian JacobVol; }
				}
			}
			{ Name flux;
				Value {
					Local { [ CompZ[{a}] ]; 
					In Todo; Jacobian JacobVol; }
				}
			}
			{ Name jr;	/* *** en [A/mm^2] *** */
				Value {
					Local { [ - 1e-6*sigma[]*( Dt[{a}] + {ur} ) ];
					In Barras; Jacobian JacobVol; }
				}
			} 
			{ Name Ir;
				Value {
					Local { [ {I2} ]; 
					In ConducRot; }
				}
			} 
			{ Name b;
				Value {
					Local { [ {Curl a} ] ; 
					In Todo; Jacobian JacobVol; }
				}
			}

		}
	}
}
