Mesh.Algorithm = 1;
//Mesh.Smoothing = 3;	
Mesh.CharacteristicLengthFactor = 1;

Lc		= 1.0e-3;
Leje		= 12.0*Lc;
Lcen		= 1.00*Lc;
Lbar		= 6.00*Lc;
Lest		= 18.0*Lc;
Linf		= 72.0*Lc;

/***************************************************************************************/
/***************************************************************************************/


SepBar	=  30.0e-3;
RadBar	=   3.0e-3;

RadEst	=  75.0e-3;
RadInf	= 100.0e-3;


/* *** Definition of geometrical points *** */

Point(1) = {0,0,0,Leje};

Point(2) = { SepBar,      0,0,Lcen};
Point(3) = {      0, SepBar,0,Lcen};
Point(4) = {-SepBar,      0,0,Lcen};
Point(5) = {      0,-SepBar,0,Lcen};

Point(6) = { RadBar+SepBar,      0,0,Lbar};
Point(7) = {        SepBar, RadBar,0,Lbar};
Point(8) = {-RadBar+SepBar,      0,0,Lbar};
Point(9) = {        SepBar,-RadBar,0,Lbar};

Point(10) = { RadBar,        SepBar,0,Lbar};
Point(11) = {      0, RadBar+SepBar,0,Lbar};
Point(12) = {-RadBar,        SepBar,0,Lbar};
Point(13) = {      0,-RadBar+SepBar,0,Lbar};

Point(14) = { RadBar-SepBar,      0,0,Lbar};
Point(15) = {       -SepBar, RadBar,0,Lbar};
Point(16) = {-RadBar-SepBar,      0,0,Lbar};
Point(17) = {       -SepBar,-RadBar,0,Lbar};

Point(18) = { RadBar,       -SepBar,0,Lbar};
Point(19) = {      0, RadBar-SepBar,0,Lbar};
Point(20) = {-RadBar,       -SepBar,0,Lbar};
Point(21) = {      0,-RadBar-SepBar,0,Lbar};

Point(22) = { RadEst,      0,0,Lest};
Point(23) = {      0, RadEst,0,Lest};
Point(24) = {-RadEst,      0,0,Lest};
Point(25) = {      0,-RadEst,0,Lest};

Point(26) = { RadInf,      0,0,Linf};
Point(27) = {      0, RadInf,0,Linf};
Point(28) = {-RadInf,      0,0,Linf};
Point(29) = {      0,-RadInf,0,Linf};

/* *** Definition of geometrical lines *** */

Circle(1) = {6,2,7};			// Barra 1
Circle(2) = {7,2,8};
Circle(3) = {8,2,9};
Circle(4) = {9,2,6};
Transfinite Line {1:4} = 3;

Circle(5) = {10,3,11};			// Barra 2
Circle(6) = {11,3,12};
Circle(7) = {12,3,13};
Circle(8) = {13,3,10};
Transfinite Line {5:8} = 3;

Circle(9)  = {14,4,15};			// Barra 3
Circle(10) = {15,4,16};
Circle(11) = {16,4,17};
Circle(12) = {17,4,14};
Transfinite Line {9:12} = 3;

Circle(13) = {18,5,19};			// Barra 4
Circle(14) = {19,5,20};
Circle(15) = {20,5,21};
Circle(16) = {21,5,18};
Transfinite Line {13:16} = 3;

Circle(17) = {22,1,23};			// Estator
Circle(18) = {23,1,24};
Circle(19) = {24,1,25};
Circle(20) = {25,1,22};
Transfinite Line {17:20} = 9;

Circle(21) = {26,1,27};			// Infinito
Circle(22) = {27,1,28};
Circle(23) = {28,1,29};
Circle(24) = {29,1,26};
Transfinite Line {21:24} = 9;


/* *** Definition of geometrical surfaces *** */

Line Loop(1)	= {1:4};		// Contorno barra 1
Plane Surface(2)	= {1};		// Superficie barra 1
Color Orange { Surface{2}; }

Line Loop(3)	= {5:8};		// Contorno barra 2
Plane Surface(4)	= {3};		// Superficie barra 2
Color Orange { Surface{4}; }

Line Loop(5)	= {9:12};		// Contorno barra 3
Plane Surface(6)	= {5};		// Superficie barra 3
Color Blue { Surface{6}; }

Line Loop(7)	= {13:16};		// Contorno barra 4
Plane Surface(8)	= {7};		// Superficie barra 4
Color Blue{ Surface{8}; }

Line Loop(9)	= {17:20};		// Contorno estator
Plane Surface(10)	= {9,1,3,5,7};	// Superficie estator
Color Grey45{ Surface{10}; }

Line Loop(11)	= {21:24};		// Contorno infinito
Plane Surface(12)	= {11,9};		// Superficie infinito
Color Cyan { Surface{12}; }


/* **** Definition of physical surfaces **** */

Physical Point(1)	= {1};					// Centro del eje de coordenadas

Physical Line(2)	= {21:24};					// Circunferencia del infinito

Physical Surface(3)	= {2};				// Superficie barra 1
Physical Surface(4)	= {4};				// Superficie barra 2
Physical Surface(5)	= {6};				// Superficie barra 3
Physical Surface(6)	= {8};				// Superficie barra 4

Physical Surface(7)	= {10};				// Superficie estator
Physical Surface(8)	= {12};				// Superficie infinito

